package com.palmnest.service.washcar.service;

import com.palmnest.application.dto.output.ElementDto;
import com.palmnest.model.Element;

import java.util.List;

public interface ElementGroupService {

	public List<ElementDto> convert(List<Element> elements);

	public List<Element> getElementsByGroupName(String code);

	/**
	 * 获取项目常用项配置详情
	 *
	 * @param orgId
	 * @param groupCode
	 * @return
	 */
	List<ElementDto> getOrgElementGroupInfo(int orgId, String groupCode);
}
